curl --request POST \
--url https://api.hubapi.com/settings/v3/currencies/exchange-rates/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Rufen Sie die Details von mehreren Wechselkursen in einer einzigen Anfrage ab, spezifiziert durch die IDs.
curl --request POST \
--url https://api.hubapi.com/settings/v3/currencies/exchange-rates/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"fromCurrencyCode": "AED",
"id": "<string>",
"toCurrencyCode": "AED",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
Die Datetime, zu der die Antwort abgeschlossen wurde
Show child attributes
Die Datetime der Anfrage.
Der aktuelle Status der Antwort (z. B. COMPLETED)
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Der Link zur nächsten Seite mit Wechselkursen
Show child attributes
Die Datetime der Anfrage.